using System;

namespace InABox.Integration.Logikal
{
    public class LogikalErrorRequest : LogikalRequest
    {
        public override LogikalMethod Method() => LogikalMethod.Error;

        public LogikalStatus Status { get; set; }
        public string Message { get; set; }

        public override string ToString() => $"{Status}: {Message}";

        public LogikalErrorRequest()
        {
        }
        
        public LogikalErrorRequest(LogikalStatus status, string message)
        {
            Status = status;
            Message = message;
        }

    }
}